Name:           x2gokdriveclient
Version:        0.0.0.1
Release:        0.0x2go1%{?dist}

# Default to Qt 5 for now.
%define         qt_version 5
# FC42+ or EPEL 10.
# Post-Tumbleweed or *SuSE 16.1+.
# We currently don't use this, but should keep in mind that we will have to
# switch eventually.
%if ( "%{?_vendor}" == "redhat" && ( 0%{?fedora} > 41 || 0%{?el10} ) ) || ( "%{?_vendor}" == "suse" && ( 0%{?suse_version} > 1600 || 0%{?sle_version} >= 160000 ) )
%define         qt_version 6
%endif


Summary:        X2Go KDrive Client application (Qt%{qt_version})

%if 0%{?suse_version}
Group:          Production/Networking/Remote Desktop
License:        GPL-3.0+
%else
Group:          Applications/Communications
License:        GPLv3+
%endif

URL:            https://www.x2go.org
Source0:        https://code.x2go.org/releases/source/%{name}/%{name}-%{version}.tar.gz
Source1:        x2gokdriveclient-rpmlintrc

%if %{qt_version} == 5
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(Qt5Network)
%if 0%{?suse_version}
BuildRequires:  libqt5-linguist
%else
BuildRequires:  qt5-linguist
%endif
%else
%if %{qt_version} == 6
BuildRequires:  pkgconfig(Qt6Core)
BuildRequires:  pkgconfig(Qt6Gui)
BuildRequires:  pkgconfig(Qt6Svg)
BuildRequires:  pkgconfig(Qt6Widgets)
BuildRequires:  pkgconfig(Qt6Network)
%if 0%{?suse_version}
BuildRequires:  libqt6-linguist
%else
BuildRequires:  qt6-linguist
%endif
%endif
%endif

BuildRequires:  pkgconfig(zlib)

%if "%{?_vendor}" == "redhat"
%if 0%{?fedora} || 0%{?el7}
BuildRequires:  man2html-core
%else
BuildRequires:  man
%endif
%endif

%if 0%{?el5} || 0%{?el6} || 0%{?el7}
# EPEL still calls the package pkconfig for some reason.
BuildRequires:  pkgconfig
%else
BuildRequires:  pkg-config
%endif

%if 0%{?fedora} || 0%{?rhel}
# For some reason qt(4)-dev doesn't depend upon redhat-rpm-config,
# but the GCC spec file is still used, which leads to gcc failing
# due to a missing annobin plugin during compilation.
# Let's build-depend upon redhat-rpm-config for now manually.
# As far as I found out, this is actually an issue with rich dependencies
# caused by our Debian mock/rpm/dnf setup.
BuildRequires:  redhat-rpm-config
%endif

%if "%{?_vendor}" == "suse"
BuildRequires:  fdupes
%endif

# We'll assume that only CentOS 7 does not support the Enhances tag.
%if ! 0%{?rhel} || 0%{?rhel} > 7
Enhances:       x2goclient
%endif

%if 0%{?el5}
# For compatibility with EPEL5
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
%else
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%endif


%description
X2Go is a server-based computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client-side mass storage mounting support
    - client-side printing support
    - audio support
    - authentication by smartcard and USB stick

X2Go KDrive Client is the KDrive graphical backend (Qt%{qt_version})
for X2Go Client that provides support for running modern desktop
environments like GNOME, KDE Plasma, Cinnamon, etc. in X2Go Sessions.

The X2Go KDrive graphical backend is not suitable for low bandwidth
WAN connections between X2Go Client and X2Go Server. It is supposed
for X2Go being used on the local area network.


%prep
%setup -q
# Fix up install issues
sed -i -e 's/-o root -g root//' Makefile
test -f ChangeLog && cp ChangeLog res/txt/changelog || test -f debian/changelog && cp debian/changelog res/txt/changelog || true
test -f ChangeLog.gitlog && cp ChangeLog.gitlog res/txt/git-info || true


%build
%define make_call make %{?_smp_mflags} CXXFLAGS='%{optflags}' QMAKE_OPTS='QMAKE_STRIP=:' QT_VERSION='%{qt_version}' PREFIX='%{_prefix}'
%if %{qt_version} == 5
%if 0%{?_qt5_bindir:1}
export 'PATH=%{_qt5_bindir}:'"${PATH}"
%endif
%if 0%{?_libqt5_bindir:1}
export 'PATH=%{_libqt5_bindir}:'"${PATH}"
%endif
%else
%if %{qt_version} == 6
%if 0%{?_qt5_bindir:1}
export 'PATH=%{_qt6_bindir}:'"${PATH}"
%endif
%if 0%{?_libqt6_bindir:1}
export 'PATH=%{_libqt6_bindir}:'"${PATH}"
%endif
%endif
%endif
%{make_call}


%install
make install DESTDIR=%{buildroot} PREFIX=%{_prefix}

%if 0%{?suse_version}
%fdupes %buildroot
%endif


%files
%defattr(-,root,root)
%doc AUTHORS COPYING LICENSE
%{_bindir}/%{name}
%dir %{_datadir}/x2go
%dir %{_datadir}/x2go/versions
%{_datadir}/x2go/versions/VERSION.x2gokdriveclient
%{_mandir}/man1/%{name}.1.gz


%changelog
